import { JwtService } from '@nestjs/jwt';
import { Repository, DataSource } from 'typeorm';
import { User } from '../user.entity';
import { SmsService } from 'src/appapi/smsgetway/sms.service';
import { emailOtpService } from 'src/appapi/emailotp/otp-email.service';
export declare class AuthService {
    private readonly userRepository;
    private dataSource;
    private readonly smsService;
    private readonly emailOtpService;
    private readonly jwtService;
    private readonly logger;
    constructor(userRepository: Repository<User>, dataSource: DataSource, smsService: SmsService, emailOtpService: emailOtpService, jwtService: JwtService);
    comparePassword(plainPassword: string, hashedPassword: string): Promise<boolean>;
    validateUser(identifier: string, credential: string): Promise<User>;
    login(user: User): Promise<{
        status: boolean;
        message: string;
        socialLogin: boolean;
        accessToken: string;
        userdata: User;
        accessModule: any;
    }>;
    socialLoginWithFirebase(idToken: string): Promise<any>;
    forgotPassword(identifier: string): Promise<{
        message: string;
    }>;
}
